package body MSHTML.DispDOMCustomEvent_Object is

   function Get_bubbles
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_bubbles);
   end Get_bubbles;

   function Get_cancelable
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_cancelable);
   end Get_cancelable;

   function Get_currentTarget
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_currentTarget);
   end Get_currentTarget;

   function Get_defaultPrevented
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_defaultPrevented);
   end Get_defaultPrevented;

   function Get_eventPhase
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_eventPhase);
   end Get_eventPhase;

   function Get_target
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_target);
   end Get_target;

   function Get_timeStamp
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_timeStamp);
   end Get_timeStamp;

   function Get_type
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_type);
   end Get_type;

   procedure initEvent
     (This       : DispDOMCustomEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispDOMCustomEvent_initEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => cancelable,
          2 => canBubble,
          3 => eventType),
         Free);
   end initEvent;

   procedure preventDefault
     (This : DispDOMCustomEvent_Type)
   is
   begin
      Invoke (This, DispDOMCustomEvent_preventDefault);
   end preventDefault;

   procedure stopPropagation
     (This : DispDOMCustomEvent_Type)
   is
   begin
      Invoke (This, DispDOMCustomEvent_stopPropagation);
   end stopPropagation;

   procedure stopImmediatePropagation
     (This : DispDOMCustomEvent_Type)
   is
   begin
      Invoke (This, DispDOMCustomEvent_stopImmediatePropagation);
   end stopImmediatePropagation;

   function Get_isTrusted
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_isTrusted);
   end Get_isTrusted;

   procedure Put_cancelBubble
     (This : DispDOMCustomEvent_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMCustomEvent_Put_cancelBubble,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cancelBubble;

   function Get_cancelBubble
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_cancelBubble);
   end Get_cancelBubble;

   function Get_srcElement
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_srcElement);
   end Get_srcElement;

   function Get_detail
     (This : DispDOMCustomEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCustomEvent_Get_detail);
   end Get_detail;

   procedure initCustomEvent
     (This       : DispDOMCustomEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      detail     : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispDOMCustomEvent_initCustomEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => detail,
          2 => cancelable,
          3 => canBubble,
          4 => eventType),
         Free);
   end initCustomEvent;

end MSHTML.DispDOMCustomEvent_Object;

